org.licas.ws.soap

## Class Soap_BaseHandler

- java.lang.Object
- - org.licas.ws.soap.Soap_BaseHandler

- All Implemented Interfaces:
    RemoteCallDef
  Direct Known Subclasses:
    Soap_MethodHandler

      public abstract class Soap_BaseHandler
      extends java.lang.Object
      implements RemoteCallDef

  This class acts an an interface for making soap calls to Web Services. A version of this class was used previously on the Icons project at UU.
  Author:
    Kieran Greer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `TIMEOUT` The timeout amount for the calls

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Soap_BaseHandler()` Creates a new instance of Soap_BaseHandler.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `isMethodCall(java.lang.String uri, java.lang.String namespace)` Return true if the soap action uri is a method call.
    `protected java.lang.String` | `rtnNamespace(java.lang.String uri)` Return the namespace if it exists.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.licas.def.RemoteCallDef

      `execute, getCallType`

- - ### Field Detail

    - #### TIMEOUT

          public static final int TIMEOUT

      The timeout amount for the calls
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Soap_BaseHandler

          public Soap_BaseHandler()

      Creates a new instance of Soap_BaseHandler.

  - ### Method Detail

    - #### isMethodCall

          protected boolean isMethodCall(java.lang.String uri,
                                         java.lang.String namespace)

      Return true if the soap action uri is a method call.
      Parameters:
        `uri` - the uri.
        `namespace` - the soap body namespace.
      Returns:
        boolean true if a method call.

    - #### rtnNamespace

          protected java.lang.String rtnNamespace(java.lang.String uri)

      Return the namespace if it exists.
      Parameters:
        `uri` - the uri.
      Returns:
        String the namespace or null if it does not exist.